//
//  ViewController.m
//  AppnextNewNativeLibSDKTest
//
//  Created by Eran Mausner on 10/01/2016.
//  Copyright © 2016 Appnext. All rights reserved.
//

#import "ViewController.h"
#import <AppnextLib/AppnextLib.h>
#import "UIView+Toast.h"

@interface ViewController ()<AppnextVideoAdDelegate>

@property (nonatomic, strong) AppnextInterstitialAd *interstitial;
@property (nonatomic, strong) AppnextFullScreenVideoAd *fullScreen;
@property (nonatomic, strong) AppnextRewardedVideoAd *rewarded;

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    AppnextInterstitialAdConfiguration *interstitialConfig = [[AppnextInterstitialAdConfiguration alloc] init];
//    interstitialConfig.autoPlay = YES;
//    interstitialConfig.creativeType = ANCreativeTypeVideo;
    interstitialConfig.postback = @"qaTest";
    self.interstitial = [[AppnextInterstitialAd alloc] initWithConfig:interstitialConfig placementID:@"b5c36d44-60b0-44e0-b489-683782e0ae2b"];
    // @"2bb384ca-637b-46d3-b481-daef7e28dc23"]; //@"b5c36d44-60b0-44e0-b489-683782e0ae2b"]; // @"90ac51be-acad-4864-b662-2e6f46331fbf"]; // @"d23e0b5e-c8ee-4fe5-86f4-5e4d7d6f81b1"];
    self.interstitial.delegate = self;
    
    AppnextFullScreenVideoAdConfiguration *fullScreenConfig = [[AppnextFullScreenVideoAdConfiguration alloc] init];
    fullScreenConfig.postback = @"qaTest Full";
    self.fullScreen = [[AppnextFullScreenVideoAd alloc] initWithConfig:fullScreenConfig placementID:@"b5c36d44-60b0-44e0-b489-683782e0ae2b"];
    self.fullScreen.delegate = self;
    
    AppnextRewardedVideoAdConfiguration *rewardedConfig = [[AppnextRewardedVideoAdConfiguration alloc] init];
    rewardedConfig.postback = @"qaTest Rewarded";
    self.rewarded = [[AppnextRewardedVideoAd alloc] initWithConfig:rewardedConfig placementID:@"b5c36d44-60b0-44e0-b489-683782e0ae2b"];
    self.rewarded.delegate = self;
//    AppnextRewardedServerSidePostbackParams *params = [[AppnextRewardedServerSidePostbackParams alloc] init];
//    params.rewardsTransactionId = @"Eran_Trrans";
//    params.rewardsUserId = @"Eran_User";
//    params.rewardsRewardTypeCurrency = @"Eran_RewardTypeCurrr";
//    params.rewardsAmountRewarded = @"Eran_Amount";
//    params.rewardsCustomParameter = @"Eran_Custom";
//    [self.rewarded setRewardedServerSidePostbackParams:params];
}

#pragma mark - Actions

- (IBAction) loadInterstitial:(id)sender
{
    [self.interstitial loadAd];
}

- (IBAction) showInterstitial:(id)sender
{
    [self.interstitial showAd];
}

- (IBAction) loadVideo:(id)sender
{
    [self.fullScreen loadAd];
}

- (IBAction) showVideo:(id)sender
{
    [self.fullScreen showAd];
}

- (IBAction) loadRewarded:(id)sender
{
    [self.rewarded loadAd];
}

- (IBAction) showRewarded:(id)sender
{
    [self.rewarded showAd];
}

#pragma mark - AppnextVideoAdDelegate

- (void) adLoaded:(AppnextAd *)ad
{
    NSLog(@"adLoaded");
    [self.view makeToast:@"adLoaded"];
}

- (void) adOpened:(AppnextAd *)ad
{
    NSLog(@"adOpened");
    [self.view makeToast:@"adOpened"];
}

- (void) adClosed:(AppnextAd *)ad
{
    NSLog(@"adClosed");
    [self.view makeToast:@"adClosed"];
}

- (void) adClicked:(AppnextAd *)ad
{
    NSLog(@"adClicked");
    [self.view makeToast:@"adClicked"];
}

- (void) adUserWillLeaveApplication:(AppnextAd *)ad
{
    NSLog(@"adUserWillLeaveApplication");
    [self.view makeToast:@"adUserWillLeaveApplication"];
}

- (void) adError:(AppnextAd *)ad error:(NSString *)error
{
    NSString *showError = [NSString stringWithFormat:@"adError : %@", error];
    NSLog(@"%@", showError);
    [self.view makeToast:showError];
}

- (void) videoEnded:(AppnextAd *)ad
{
    NSLog(@"videoEnded");
    [self.view makeToast:@"videoEnded"];
}

@end
