//
//  BannersViewController.m
//  BannersTest
//
//  Created by shalom.b on 3/27/18.
//  Copyright © 2018 shalom.bAppnext. All rights reserved.
//

#import "BannersViewController.h"
#include <stdlib.h>

@interface BannersViewController ()
@property (nonatomic,strong) AppnextBannerView*  bannerView;
@end

@implementation BannersViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    [self loadRandomBanner];
}
- (IBAction)back:(id)sender {
     [self dismissViewControllerAnimated:YES completion:nil];
}
- (IBAction)loadBanner:(id)sender {
    if(self.bannerView){
        [self.bannerView removeFromSuperview];
    }
    BannerRequest*  bannerRequest = [[BannerRequest alloc] init];
    bannerRequest.bannerType = Banner;
    
    self.bannerView = [[AppnextBannerView alloc] initBannerWithPlacementID:@"ENTER_YOUR_AD_UNIT" withBannerRequest:bannerRequest];
    self.bannerView.translatesAutoresizingMaskIntoConstraints = NO;
    
    self.bannerView.delegate = self;
    [self.view addSubview:self.bannerView];
    [self.view addConstraints:@[
                                [NSLayoutConstraint constraintWithItem:self.bannerView
                                                             attribute:NSLayoutAttributeBottom
                                                             relatedBy:NSLayoutRelationEqual
                                                                toItem:self.view
                                                             attribute:NSLayoutAttributeBottom
                                                            multiplier:1
                                                              constant:0],
                                [NSLayoutConstraint constraintWithItem:self.bannerView
                                                             attribute:NSLayoutAttributeCenterX
                                                             relatedBy:NSLayoutRelationEqual
                                                                toItem:self.view
                                                             attribute:NSLayoutAttributeCenterX
                                                            multiplier:1
                                                              constant:0]
                                ]];
    
    
    [self.bannerView loadAd];
}
- (IBAction)loadLargeBanner:(id)sender {
    if(self.bannerView){
        [self.bannerView removeFromSuperview];
    }
    BannerRequest*  bannerRequest = [[BannerRequest alloc] init];
    bannerRequest.bannerType = LargeBanner;
    
    self.bannerView = [[AppnextBannerView alloc] initBannerWithPlacementID:@"ENTER_YOUR_AD_UNIT" withBannerRequest:bannerRequest];
    self.bannerView.translatesAutoresizingMaskIntoConstraints = NO;
    
    self.bannerView.delegate = self;
    [self.view addSubview:self.bannerView];
    [self.view addConstraints:@[
                                [NSLayoutConstraint constraintWithItem:self.bannerView
                                                             attribute:NSLayoutAttributeBottom
                                                             relatedBy:NSLayoutRelationEqual
                                                                toItem:self.view
                                                             attribute:NSLayoutAttributeBottom
                                                            multiplier:1
                                                              constant:0],
                                [NSLayoutConstraint constraintWithItem:self.bannerView
                                                             attribute:NSLayoutAttributeCenterX
                                                             relatedBy:NSLayoutRelationEqual
                                                                toItem:self.view
                                                             attribute:NSLayoutAttributeCenterX
                                                            multiplier:1
                                                              constant:0]
                                ]];
    
    
    [self.bannerView loadAd];
}
- (IBAction)loadMediumRectangleBanner:(id)sender {
    if(self.bannerView){
        [self.bannerView removeFromSuperview];
    }
    BannerRequest*  bannerRequest = [[BannerRequest alloc] init];
    bannerRequest.bannerType = MediumRectangle;
    
    self.bannerView = [[AppnextBannerView alloc] initBannerWithPlacementID:@"ENTER_YOUR_AD_UNIT" withBannerRequest:bannerRequest];
    self.bannerView.translatesAutoresizingMaskIntoConstraints = NO;
    
    self.bannerView.delegate = self;
    [self.view addSubview:self.bannerView];
    [self.view addConstraints:@[
                                [NSLayoutConstraint constraintWithItem:self.bannerView
                                                             attribute:NSLayoutAttributeBottom
                                                             relatedBy:NSLayoutRelationEqual
                                                                toItem:self.view
                                                             attribute:NSLayoutAttributeBottom
                                                            multiplier:1
                                                              constant:0],
                                [NSLayoutConstraint constraintWithItem:self.bannerView
                                                             attribute:NSLayoutAttributeCenterX
                                                             relatedBy:NSLayoutRelationEqual
                                                                toItem:self.view
                                                             attribute:NSLayoutAttributeCenterX
                                                            multiplier:1
                                                              constant:0]
                                ]];
    
    
    [self.bannerView loadAd];
}

- (void)loadRandomBanner {
    BannerRequest * bannerRequest = [[BannerRequest alloc] init];
    int r = arc4random_uniform(3);
    switch (r) {
        case 0:
            bannerRequest.bannerType = Banner;
            break;
        case 1:
            bannerRequest.bannerType = LargeBanner;
            break;
        case 2:
            bannerRequest.bannerType = MediumRectangle;
            break;
        default:
            bannerRequest.bannerType = Banner;
            break;
    }
    self.bannerView = [[AppnextBannerView alloc] initBannerWithPlacementID:@"ENTER_YOUR_AD_UNIT" withBannerRequest:bannerRequest];
    self.bannerView.delegate = self;
    self.bannerView.translatesAutoresizingMaskIntoConstraints = NO;
    [self.view addSubview:self.bannerView];
    [self.view addConstraints:@[
                                [NSLayoutConstraint constraintWithItem:self.bannerView
                                                             attribute:NSLayoutAttributeBottom
                                                             relatedBy:NSLayoutRelationEqual
                                                                toItem:self.view
                                                             attribute:NSLayoutAttributeBottom
                                                            multiplier:1
                                                              constant:0],
                                [NSLayoutConstraint constraintWithItem:self.bannerView
                                                             attribute:NSLayoutAttributeCenterX
                                                             relatedBy:NSLayoutRelationEqual
                                                                toItem:self.view
                                                             attribute:NSLayoutAttributeCenterX
                                                            multiplier:1
                                                              constant:0]
                                ]];
    
    
    [self.bannerView loadAd];
}

- (void) onAppnextBannerLoadedSuccessfully{
    NSLog(@"AppnextBannerLoadedSuccessfully");
}
- (void) onAppnextBannerError:(AppnextError) error{
    NSLog(@"Error");
}
- (void) onAppnextBannerClicked{
    
}
- (void) onAppnextBannerImpressionReported{
    
}

@end
