//
//  MoPubViewController.m
//  BannersTest
//
//  Created by shalom.b on 3/29/18.
//  Copyright © 2018 shalom.bAppnext. All rights reserved.
//

#import "MoPubViewController.h"

#if __has_include(<MoPub/MoPub.h>)
#import <MoPub/MoPub.h>
#else
#import "MoPub.h"
#import "MPInterstitialAdController.h"
#import "MPRewardedVideo.h"
#import "MPRewardedVideoReward.h"
#endif
#import <AppnextMoPubAdapter/AppnextMoPubAdapter.h>
#include <stdlib.h>
@interface MoPubViewController () <MPAdViewDelegate>
@property (nonatomic) MPAdView *adView;
@end

@implementation MoPubViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    [self loadRandomBanner];
}
- (IBAction)back:(id)sender {
     [self dismissViewControllerAnimated:YES completion:nil];
}

- (IBAction)loadBanner:(id)sender {
    [self loadBanner];
}
- (IBAction)loadLargeBanner:(id)sender {
    [self loadLargeBannerBanner];
}

- (IBAction)loadMediunRectangleBanner:(id)sender {
    [self loadMediumRectangleBannerBanner];
}

- (void)loadRandomBanner {
    int r = arc4random_uniform(3);
    switch (r) {
        case 0:
            [self loadBanner];
            break;
        case 1:
            [self loadMediumRectangleBannerBanner];
            break;
        case 2:
            [self loadMediumRectangleBannerBanner];
            break;
        default:
            [self loadBanner];
            break;
    }
}

- (void) loadBanner{
    if(self.adView){
        [self.adView removeFromSuperview];
    }
    self.adView = [[MPAdView alloc] initWithAdUnitId:@"7f18a74b6ad04a49a37f262d5e5b9cd2"
                                                size:MOPUB_BANNER_SIZE];
    self.adView.delegate = self;
    self.adView.frame = CGRectMake((self.view.bounds.size.width - MOPUB_BANNER_SIZE.width) / 2,
                                   self.view.bounds.size.height - MOPUB_BANNER_SIZE.height,
                                   MOPUB_BANNER_SIZE.width, MOPUB_BANNER_SIZE.height);
    [self.view addSubview:self.adView];
    [self.adView loadAd];
}

- (void) loadLargeBannerBanner{
    if(self.adView){
        [self.adView removeFromSuperview];
    }
    CGSize wd = { .width = 320.0f, .height = 100.0f };
    self.adView = [[MPAdView alloc] initWithAdUnitId:@"cd54786dabc44ca8a39a986076ef044b"
                                                size:wd];
    self.adView.delegate = self;
    self.adView.frame = CGRectMake((self.view.bounds.size.width - wd.width) / 2,
                                   self.view.bounds.size.height - wd.height,
                                   wd.width, wd.height);
    [self.view addSubview:self.adView];
    [self.adView loadAd];
}

- (void) loadMediumRectangleBannerBanner{
    if(self.adView){
        [self.adView removeFromSuperview];
    }
    self.adView = [[MPAdView alloc] initWithAdUnitId:@"75f561728f624363b93035210b53ea7d"
                                                size:MOPUB_MEDIUM_RECT_SIZE];
    self.adView.delegate = self;
    self.adView.frame = CGRectMake((self.view.bounds.size.width - MOPUB_MEDIUM_RECT_SIZE.width) / 2,
                                   self.view.bounds.size.height - MOPUB_MEDIUM_RECT_SIZE.height,
                                   MOPUB_MEDIUM_RECT_SIZE.width, MOPUB_MEDIUM_RECT_SIZE.height);
    [self.view addSubview:self.adView];
    [self.adView loadAd];
}

- (void) dealloc
{
    [[MoPub sharedInstance] initializeRewardedVideoWithGlobalMediationSettings:nil delegate:nil];
}

#pragma delegate

- (UIViewController *)viewControllerForPresentingModalView; {
    return self;
}

- (void)willRotateToInterfaceOrientation:(UIInterfaceOrientation)toInterfaceOrientation
                                duration:(NSTimeInterval)duration {
    [self.adView rotateToOrientation:toInterfaceOrientation];
}

- (void)didRotateFromInterfaceOrientation:(UIInterfaceOrientation)fromInterfaceOrientation {
    CGSize size = [self.adView adContentViewSize];
    CGFloat centeredX = (self.view.bounds.size.width - size.width) / 2;
    CGFloat bottomAlignedY = self.view.bounds.size.height - size.height;
    self.adView.frame = CGRectMake(centeredX, bottomAlignedY, size.width, size.height);
}
@end
